connectivityqt::ModemsListModel Class Reference

`#include <connectivityqt/modems-list-model.h>`

Inheritance diagram for connectivityqt::ModemsListModel:
[legend]
Collaboration diagram for connectivityqt::ModemsListModel:
[legend]

## Classes

class | Priv

## Public Types

enum | Roles { RoleIndex = Qt::UserRole + 1 , RoleSerial , RoleModem , RoleSim }

## Public Member Functions

| LOMIRI_DEFINES_PTRS (ModemsListModel)
| ModemsListModel (const internal::ModemsListModelParameters &parameters)
| ~ModemsListModel ()
int | columnCount (const QModelIndex &parent) const override
int | rowCount (const QModelIndex &parent) const override
QVariant | data (const QModelIndex &index, int role) const override
QHash< int, QByteArray > | roleNames () const override

## Protected Attributes

std::shared_ptr< Priv > | d

## Member Enumeration Documentation

## Roles

enum connectivityqt::ModemsListModel::Roles

Enumerator
RoleIndex |
RoleSerial |
RoleModem |
RoleSim |

## Constructor & Destructor Documentation

## ModemsListModel()

connectivityqt::ModemsListModel::ModemsListModel | ( | const internal::ModemsListModelParameters & | parameters | ) |

## ~ModemsListModel()

connectivityqt::ModemsListModel::~ModemsListModel | ( |  | ) |

## Member Function Documentation

## columnCount()

int connectivityqt::ModemsListModel::columnCount | ( | const QModelIndex & | parent | ) | const

override

## data()

QVariant connectivityqt::ModemsListModel::data | ( | const QModelIndex & | index,
|  | int | role ) const

override

## LOMIRI_DEFINES_PTRS()

connectivityqt::ModemsListModel::LOMIRI_DEFINES_PTRS | ( | ModemsListModel |  | ) |

## roleNames()

QHash< int, QByteArray > connectivityqt::ModemsListModel::roleNames | ( |  | ) | const

inline override

## rowCount()

int connectivityqt::ModemsListModel::rowCount | ( | const QModelIndex & | parent | ) | const

override

## Member Data Documentation

## d

std::shared_ptr<Priv> connectivityqt::ModemsListModel::d

protected

The documentation for this class was generated from the following files:

- modems-list-model.h
- modems-list-model.cpp